MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004755ATutorInstallationpublic2011-04-18 11:402011-08-29 14:11
Reportergreg 
Assigned Togreg 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.0.3 
Summary0004755: content dir permissions
DescriptionUpdate the language in the installer to allow the creation of the content directory with the group sticky bit set. This will allow admins to delete an ATutor directory that has content created by the web server. Currently only the root user can delete the content directory.

chmod 2777 content

or

chmod a+rwx content
chmod g+s content
Additional InformationDo the same for AChecker and AContent.
TagsNo tags attached.
Affects versionSVN
SVN Revision#11397
Attached Files

- Relationships

-  Notes
(0005216)
greg (administrator)
2011-08-23 16:16

updated the installer to describe setting a sticky bit on the content directory so it can be manipulated by the shell user after installation, and updated the installation instructions on atutor.ca
(0005278)
greg (administrator)
2011-08-29 14:11

2.0.3 bugs resolved and closed round 2

- Issue History
Date Modified Username Field Change
2011-04-18 11:40 greg New Issue
2011-07-18 16:19 greg Assigned To => greg
2011-07-18 16:19 greg Status new => assigned
2011-08-23 16:16 greg SVN Revision# => 11397
2011-08-23 16:16 greg Note Added: 0005216
2011-08-23 16:16 greg Status assigned => resolved
2011-08-23 16:16 greg Fixed in Version => 2.0.3
2011-08-23 16:16 greg Resolution open => fixed
2011-08-29 14:11 greg Note Added: 0005278
2011-08-29 14:11 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker